<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package elina-lite-portfolio-gallery
 */

get_header();
?>

<?php $header_image_url = get_header_image(); // Retrieve the default header image

// If the header image is not set, use a fallback
if (!$header_image_url) {
	$header_image_url = get_template_directory_uri() . '/images/bg.jpg';
	// Default image URL
} ?>
        <!-- Blog Heading -->
		<div class="parallax-blog" data-overlay-dark="4" style="background-image: url(<?php echo esc_url($header_image_url); ?>);"> </div>
	<div id="primary" class="blog">
		<div class="inner-blog">
	<div class="container">        
            <div class="row">
                <div class="col-xl-9 col-lg-8">

		<?php
		if ( have_posts() ) :
			
			/* Start the Loop */
			while ( have_posts() ) :
				the_post();

				/*
				 * Include the Post-Type-specific template for the content.
				 * If you want to override this in a child theme, then include a file
				 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
				 */
				get_template_part( 'template-parts/content', get_post_type() );

			endwhile;

			the_posts_navigation();

		else :

			get_template_part( 'template-parts/content', 'none' );

		endif;
		?>

	</div>
<?php wp_reset_postdata(); ?>
<div class="col-xl-3 col-lg-4"><?php get_sidebar(); ?></div>

        </div> <!-- #end row -->
    </div> <!-- #end container -->
	</div> <!-- #end inner blog -->
</div><!-- #end blog -->

<div class="bottom-margin"></div>

<?php get_footer();